> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get record

> Get a record for a model by ID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /storage/records/get
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/records/get:
    get:
      tags:
        - Storage - Records
      summary: Get record
      description: Get a record for a model by ID
      parameters:
        - in: query
          name: modelUuid
          schema:
            title: Model UUID
            description: Model identifier.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          required: true
          description: Model identifier.
        - in: query
          name: id
          schema:
            title: Record ID
            description: Record identifier.
            type: string
          required: true
          description: Record identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  record:
                    title: Record
                    description: Returned record.
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                required:
                  - record
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````